
import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './pages/App';
import './styles/base.css';
import './styles/typography.css';
import './styles/components.css';

const rootElement = document.getElementById('root');
if (!rootElement) {
  throw new Error("Impossible de trouver l'élément root");
}

const root = ReactDOM.createRoot(rootElement);
root.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>
);
